#
# spec file for package vdradmin-am (Version 3.6.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010-2012 B1 Systems GmbH, Vohburg, Germany
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           vdradmin-am
%if 0%{?mandriva_version}
BuildRequires:  perl-CGI
%endif
BuildRequires:  perl-gettext
BuildRequires:  perl-Authen-SASL perl-Compress-Zlib perl-Digest-HMAC perl-libwww-perl
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1030
BuildRequires:  perl-IO-Socket-INET6 perl-Socket6
%endif
Url:            http://andreas.vdr-developer.org

License:        GPL v2 or later
Group:          Productivity/Multimedia/Other
AutoReqProv:    on
Requires:       perl(HTTP::Date)
Requires:       perl(URI)
Summary:        Webinterface for managing the Linux Video Disk Recorder (VDR)
Version:        3.6.9
Release:        1.7
BuildArch:      noarch
Source:         %{name}-%{version}.tar.bz2
Source1:        vdradmin.initd
Patch1:         vdradmin-3.6.7-destdir-fix.diff
Patch2:         vdradmin-3.6.9-recdetail-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Vdradmin provides a webinterface for managing the Linux Video Disk
Recorder (VDR), it has a virtual remote to control your VDR and you can
search for certain shows in the EPG



%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1

%build

%install
./make.sh local
DOCDIR=%{_docdir}/vdradmin \
VIDEODIR=/var/spool/video \
VDRCONF=/etc/vdr \
DESTDIR=$RPM_BUILD_ROOT ./install.sh
echo -e "\n\n\n\nvdradmin\nvdradmin\n/var/spool/video\n/etc/vdr\n" | ./vdradmind.pl --config
# /* don't include build hostname in config file */
sed -i  -e "s/^MAIL_FROM =.*/MAIL_FROM = from@address.tld/" \
	-e "s/^MAIL_SERVER =.*/MAIL_SERVER = your.email.server/" vdradmind.conf

install -m 755 -d $RPM_BUILD_ROOT/etc/vdradmin/
install -m 644 vdradmind.conf $RPM_BUILD_ROOT/etc/vdradmin/
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 755 $RPM_SOURCE_DIR/vdradmin.initd $RPM_BUILD_ROOT/etc/init.d/vdradmind
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -sf ../../etc/init.d/vdradmind $RPM_BUILD_ROOT/usr/sbin/rcvdradmin
mkdir -p $RPM_BUILD_ROOT/var/cache/vdradmin
%find_lang vdradmin

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f vdradmin.lang
%defattr(-,root,root)
%{_docdir}/vdradmin
%dir /etc/vdradmin
%config(noreplace) /etc/vdradmin/vdradmind.conf
/etc/init.d/vdradmind
/usr/bin/vdradmind
/usr/sbin/rcvdradmin
%{_mandir}/man8/vdradmind.8.*
/usr/share/vdradmin
%dir /var/cache/vdradmin

%preun
%stop_on_removal

%postun
%insserv_cleanup

%changelog
* Mon Mar 12 2012 seife+obs@b1-systems.com
- update to version 3.6.9, changes:
  * added support for changed SVDRP LSTR output of VDR >= 1.7.21
  * added -L/--logfile command line arg for overriding config
  * added Live TV streaming with Xineliboutput plugin
  * added recording length in list and details with VDR >= 1.7.21
  * added available subtitles in EPG/recording details
  * updated german translation
  * fixed --log 0 command line argument
  * fixed non-localhost streamdev URL
  * changed: Honor config logging options with --nofork
  * changed: Specifying -L or -l turns logging on
  * improved startup error messages on module load failures
  * do not require pid dir when not running as daemon
  * autodetect default for number of DVB cards
  * adapt rename recording to Liemikuutio 1.32
- rebase epgdetail patch on 3.6.9
* Mon Mar 12 2012 seife+obs@b1-systems.com
- add perl(HTTP::Date) and perl(URI) Requires to fix
  vdradmin on a minimal install (bnc#738549)
* Sun Jul 24 2011 seife+obs@b1-systems.com
- update to version 3.6.8, changes:
  * updated finnish and dutch translations
  * improved access logging
  * improved SVDRP connection error handling/logging/messages
  * default SVDRP port is 6419 in initial config if locally
    installed VDR is >= 1.7.15 (Ville Skytt344)
  * use default streamdev host from browser URL when VDR host is
    localhost
  * allow specifying multiple local subnets
* Fri Jan  7 2011 seife@opensuse.org
- create and package directory /var/cache/vdradmin (bnc#662767)
* Fri Oct 15 2010 seife@opensuse.org
- update to version 3.6.7, changes:
  * Fix creating/editing of searches using EPGsearch v0.9.24
- version 3.6.6:
  * Fix SVDRP commands encoding
  * Fix GUI_POPUP_WIDTH and GUI_POPUP_HEIGHT if they are not numeric
  * Fix resizing browser window in "Timeline"
  * Add support for VDR 1.7.12+ commands.conf and reccmds.conf
  * Add support for new epgsearch search timer actions (Bug #557).
  * Minimum required epgsearch version now is 0.9.24.
  * Translation updates and other new features
* Wed Mar  3 2010 seife@opensuse.org
- fix recording details popup window
* Wed Mar  3 2010 seife@opensuse.org
- fix init script to get work around checkproc problem
* Wed Mar  3 2010 seife@opensuse.org
- update to version 3.6.5, most important changes are
  Fixes:
  * jslint warnings in javascript files
  * epgsearch uses seconds in aux field of timers, not minutes
  * Fix bug #507 "EPGsearch custom categories no longer show"
  * Saving the config showed error message "1"
  * use text/javascript for JavaScript in HTTP headers
  Improvements:
  * Create fewer SVDRP connections
  * Send Last-Modified header for static resources
  * template caching options
  New features:
  * Find VDR 1.7.2+ TS recordings
  * autotimer schedule change tracking option in UI
  * ability to log to syslog ("LOGFILE = syslog" in config)
  For other changes, please see the ChangeLog file
* Wed May  6 2009 seife@suse.de
- fix Mandriva build issue (perl-gettext <-> perl-Locale-gettext)
* Wed May  6 2009 seife@suse.de
- clean up spec file
* Sun Jan 18 2009 seife@suse.de
- fix init script
* Sun Jan 18 2009 seife@suse.de
- imported package from home:assmannst (Thanks!)
- updated to 3.6.4
